
Foreman - Feature #470

Add kickstart via gpxe support

11/16/2010 12:46 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Unattended installations   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This will allow alternative methods of provisioning hosts (it would be possible to skip tftp altogether).

Related issues:

Related to Foreman - Bug #4020: @static only works in kickstart templates Closed 01/15/2014

Associated revisions

Revision 14dd0353 - 11/16/2010 01:00 PM - Ohad Levy

fixes #470 - Add gpxe scripts support

This commit implements the following:

dynamic gpxe script that kickstart purly with gpxe - see usage example below

add static network option to kickstart, ie if added ?static=true to the url, network configuration would be static

at the moment this should only be used with gpxe, or alternatviily you would need to

provide the network information as a kernel argument (see gpxe_kickstart_config file as an example for that.

gpxe usage example

press ctrl-b for interactive mode

#get network from dhcp

dhcp net0

#or set static

ifopen

set net0/ip <your host ip>

set net0/netmask <netmask>

set net0/gateway <your gateway>

set net0/dns <dns server>

1. tell gpxe to ask foreman for instructions

kernel http://foreman/unattended/gpxe_kickstart_config

boot

Revision 552638db - 11/16/2010 08:29 PM - Ohad Levy

fixes typo - refs #470

History

#1 - 11/16/2010 01:01 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 14dd0353b2c7d16084a13c7b1ab52630887cabe3.

#2 - 11/16/2010 01:03 PM - Ohad Levy

- Subject changed from Add gpxe scripts support to Add kickstart via gpxe support
http://foreman/unattended/gpxe_kickstart_config
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/14dd0353b2c7d16084a13c7b1ab52630887cabe3


#3 - 11/17/2010 11:53 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

#4 - 04/25/2019 12:47 PM - Lukas Zapletal

- Related to Bug #4020: @static only works in kickstart templates added
